Get issue activity history
curl --request GET \
--url https://api.example.com/api/issues/{deploymentId}/issue/{issueId}/activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/issues/{deploymentId}/issue/{issueId}/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/issues/{deploymentId}/issue/{issueId}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"history": [
{
"id": "<string>",
"deploymentId": "<string>",
"issueId": "<string>",
"oldValues": {
"id": "<string>",
"deploymentId": "<string>",
"title": "<string>",
"description": "<string>",
"reasoning": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastDetectedAt": "2023-11-07T05:31:56Z",
"triagedAt": "2023-11-07T05:31:56Z",
"actions": [
"<string>"
],
"workflowIds": [
"<string>"
],
"identities": [
"<string>"
],
"triggerSources": [
"<string>"
],
"projectIds": [
"<string>"
],
"refIds": [
"<string>"
],
"filePaths": [
"<string>"
],
"dependencyPaths": [
"<string>"
],
"directDependencies": [
"<string>"
],
"domains": [
"<string>"
],
"cwes": [
"<string>"
],
"owasps": [
"<string>"
]
},
"newValues": {
"id": "<string>",
"deploymentId": "<string>",
"title": "<string>",
"description": "<string>",
"reasoning": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastDetectedAt": "2023-11-07T05:31:56Z",
"triagedAt": "2023-11-07T05:31:56Z",
"actions": [
"<string>"
],
"workflowIds": [
"<string>"
],
"identities": [
"<string>"
],
"triggerSources": [
"<string>"
],
"projectIds": [
"<string>"
],
"refIds": [
"<string>"
],
"filePaths": [
"<string>"
],
"dependencyPaths": [
"<string>"
],
"directDependencies": [
"<string>"
],
"domains": [
"<string>"
],
"cwes": [
"<string>"
],
"owasps": [
"<string>"
]
},
"changedFields": "<string>",
"reason": "<string>",
"actorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"cursor": "<string>"
}Issues (Semgrep Agentic Workflows)
Get issue activity history
Get a page of activity history for a Semgrep Agentic Workflows issue, newest first.
GET
/
api
/
issues
/
{deploymentId}
/
issue
/
{issueId}
/
activity
Get issue activity history
This endpoint is experimental. It may change or be removed without notice, and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Was this page helpful?
⌘I